gnutls_session_get_verify_cert_status(3)

NAME
gnutls_session_get_verify_cert_status - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned int gnutls_session_get_verify_cert_status(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This function returns the status of the verification when initiated via auto-verification, i.e., by gnutls_session_set_verify_cert2() or gnutls_session_set_verify_cert(). If no certificate verification was occurred then the return value would be set to ((unsigned int)-1). The certificate verification status is the same as in gnutls_certificate_verify_peers().

RETURNS
the certificate verification status.

SINCE
3.4.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/